/*  BotikBalance - User's account balance informer for Botik Network 
 *                 for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2005 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Sorry for the long lines in the sources, I have wide screen... ;-)
 */

#ifndef __SCRIPTENGINESGUIDS_H_
#define __SCRIPTENGINESGUIDS_H_

#include <initguid.h>

static const GUID CLSID_JScript;
static const GUID CLSID_VBScript;

// JScript - {f414c260-6ac0-11cf-b6d1-00aa00bbbb58}
DEFINE_GUID(CLSID_JScript, 0xf414c260, 0x6ac0, 0x11cf, 0xb6, 0xd1, 
			0x00, 0xaa, 0x00, 0xbb, 0xbb, 0x58);

// VBScript - {b54f3741-5b07-11cf-a4b0-00aa004a55e8}
DEFINE_GUID(CLSID_VBScript, 0xb54f3741, 0x5b07, 0x11cf, 0xa4, 0xb0, 
			0x00, 0xaa, 0x00, 0x4a, 0x55, 0xe8);

#endif	// __SCRIPTENGINESGUIDS_H_
